namespace HierarchicalGrid.ViewModel
{
    using System;
    using System.Windows.Data;

    using Infragistics.Windows.DataPresenter;

    public  class ChildRecordHeaderFilterHeight : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var rec = value as Record;
            if (rec != null && rec.RecordType != RecordType.DataRecord)
            {
                if (rec.RecordType == RecordType.FilterRecord && rec.NestingDepth > 0)
                {
                    return 0;
                }
                if (rec.RecordType == RecordType.HeaderRecord && (rec as HeaderRecord).AttachedToRecord != null)
                {
                    if ((rec as HeaderRecord).AttachedToRecord.NestingDepth > 0) return 0;
                }
            }

            return double.NaN;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }
}